> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sync History

> Cursor-paginates a connection's journal-entry sync records with optional invoice type and status filters.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-sync-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-sync-history:
    get:
      operationId: getSyncHistory
      summary: Get Sync History
      description: >-
        Cursor-paginates a connection's journal-entry sync records with optional
        invoice type and status filters.


        Not available to API keys.
      parameters:
        - name: connectionId
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: invoiceType
          in: query
          required: false
          schema:
            type: string
            enum:
              - EOR_PEO
              - CONTRACTOR
              - W2_YEAR_END
              - HRIS_PAYROLL
        - name: statusFilter
          in: query
          required: false
          schema:
            type: string
            enum:
              - PREVIEWED
              - PUSHING
              - SUCCESS
              - FAILED
              - REVERSED
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSyncHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSyncHistoryResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          connectionId:
            type: string
          invoiceType:
            type: string
            enum:
              - EOR_PEO
              - CONTRACTOR
              - W2_YEAR_END
              - HRIS_PAYROLL
          payPeriod:
            type: string
          country:
            type: string
          currency:
            type: string
          groupingMode:
            type: string
            enum:
              - PER_CURRENCY
              - PER_COUNTRY
              - COMBINED
          groupKey:
            type: string
          groupLabel:
            type: string
          googleSheetUrl:
            type:
              - string
              - 'null'
          sheetDataSnapshot: {}
          mappingSnapshot: {}
          mappingVersion:
            type: integer
          qboRequestPayload: {}
          qboResponse: {}
          qboJournalEntryId:
            type:
              - string
              - 'null'
          docNumber:
            type: string
          totalDebits:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          totalCredits:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          status:
            type: string
            enum:
              - PREVIEWED
              - PUSHING
              - SUCCESS
              - FAILED
              - REVERSED
          errorMessage:
            type:
              - string
              - 'null'
          errorCode:
            type:
              - string
              - 'null'
          intuitTid:
            type:
              - string
              - 'null'
          pushedBy:
            type:
              - string
              - 'null'
          pushedAt:
            type:
              - string
              - 'null'
          retryCount:
            type: integer
          reversedBy:
            type:
              - string
              - 'null'
          reversedAt:
            type:
              - string
              - 'null'
          reversingSyncId:
            type:
              - string
              - 'null'
          dryRun:
            type: boolean
          createdAt:
            type: string
          updatedAt:
            type: string
        required:
          - id
          - connectionId
          - invoiceType
          - payPeriod
          - country
          - currency
          - groupingMode
          - groupKey
          - groupLabel
          - googleSheetUrl
          - sheetDataSnapshot
          - mappingSnapshot
          - mappingVersion
          - qboRequestPayload
          - qboResponse
          - qboJournalEntryId
          - docNumber
          - totalDebits
          - totalCredits
          - status
          - errorMessage
          - errorCode
          - intuitTid
          - pushedBy
          - pushedAt
          - retryCount
          - reversedBy
          - reversedAt
          - reversingSyncId
          - dryRun
          - createdAt
          - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
